Bug 697904 - Evolution doesn't used secured IMAP connection after sending a message
Summary: Evolution doesn't used secured IMAP connection after sending a message
Keywords:
Status: CLOSED DUPLICATE of bug 707848
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 15:40 UTC by Paul Ezvan
Modified: 2011-09-09 15:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-20 07:20:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 648277 None None None Never

Description Paul Ezvan 2011-04-19 15:40:17 UTC
Description of problem:

I use a imapx account with TLS security.
When I send a message, I get this error :
[CLIENTBUG] Plaintext authentication disallowed on non-secure (SSL-TLS) connections.
My mail server is configured to refuse plaintext login on non secure connection. 
Evolution is correctly configured to use secure connection (I tried with both TLS and SSL) settings. So after sending a message it seems to ignore this settings when trying to move the message to the sent folder.


Version-Release number of selected component (if applicable):
evolution-3.0.0-1.fc15

How reproducible:


Steps to Reproduce:
1. Use mail server with plaintext login refused on non secure connection
2. Configure imapx account with TLS connection
3. Configure the account to store sent mail on imap server
4. Send mail
  
Actual results:

Evolution cannot store the mail in sent folder.

Expected results:

Mail stored in imap folder using TLS.

Additional info:

It is also a security risk, because Evolution sends plaintext password though it is configured not to do so.

Comment 1 Milan Crha 2011-04-20 07:20:44 UTC
Thanks for a bug report. I moved this upstream as [1], because this doesn't seem to be fedora-specific issue. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=648277

Comment 2 Jan Lieskovsky 2011-09-09 15:43:39 UTC

*** This bug has been marked as a duplicate of bug 707848 ***


Note You need to log in before you can comment on or make changes to this bug.